
# xNavigation

xNavigation provides site administrators with customizable color schemes for the experimental Navigation module, enhancing the visual styling of Drupal’s administration menus without requiring template modifications. By offering color schemes like “Blackstone” and “Core,” users can easily adjust the look and feel of their admin navigation menus to fit their site’s theme or environment.

For a full description of the module, visit the [project page](https://www.drupal.org/project/xnavigation).

Submit bug reports and feature suggestions, or track changes in the [issue queue](https://www.drupal.org/project/issues/xnavigation).

## Table of contents

	•	Requirements
	•	Installation
	•	Configuration
	•	Troubleshooting
	•	FAQ
	•	Maintainers

## Requirements

No additional modules outside of Drupal core are required.

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1.	Enable the module at Administration > Extend.
2. Navigate to the configuration page at /admin/config/user-interface/xnavigation/settings.
3.	Choose from the available color schemes, such as Blackstone, Slate, Core, and others.
4.	Save the selected color scheme to be dynamically applied to the administration navigation elements.

No additional setup is required beyond configuring the module through the settings page.

## FAQ

**Q: How do I change the color scheme of my admin navigation menus?**

A: Visit the module’s settings page at /admin/config/user-interface/xnavigation/settings, select your preferred color scheme, and save the settings. The changes will be applied to the admin navigation menus dynamically.

**Q: Can I use multiple color schemes for different environments (e.g., dev, prod)?**

A: Yes, xNavigation allows you to set different color schemes for different environments, providing flexibility in managing the appearance of your admin navigation.

## Maintainer

Jacques R. Blier - [xmacinfo](https://www.drupal.org/u/xmacinfo)
